[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TIconOptions.AssignTo

Assign values from the class instance to the specified persistent object.

## Declaration

Source position: comctrls.pp line 1003

`protected procedure TIconOptions.AssignTo(`
`Dest: TPersistent`
`); override;`

## Arguments

`Dest` |  | Persistent object where property values are stored.

## Description

AssignTo is an overridden method which implements support for the TIconOptions type in the RTL object persistence mechanism. AssignTo allows property values from the current class instance to the stored to the persistent object in Dest.

When Dest is a TIconOptions instance, AssignTo copies the values from the current class instance:

- Arrangement
- AutoArrange
- WrapText

If ADest is not derived from TIconOptions, the inherited method is called.

## See also

TPersistent.Assign